org.eclnt.jsfserver.elements.impl

## Class ROWDYNAMICCONTENTBinding.ComponentAttribute

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentAttribute

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    ROWDYNAMICCONTENTBinding

      public static class ROWDYNAMICCONTENTBinding.ComponentAttribute
      extends java.lang.Object
      implements java.io.Serializable

  Representation of an attribute value.
  The value is either "set" - then it is a direct, fix value representation. Or the value is "bound" then the value is passed into the value processing as expression so that changes within the value are reflected.
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IDynamicContentBindingObject` | `getBoundValue()`
    `java.lang.String` | `getComponentAttributeValue()` This is the value as it is transferred into the corresponding component.
    `java.lang.String` | `getName()`
    `java.lang.String` | `getValue()` Returns the value that was directly set.
    `boolean` | `isBound()`
    `void` | `setValue(IDynamicContentBindingObject value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getValue

          public java.lang.String getValue()

      Returns the value that was directly set. In case the value is a bound value, an Error will be thrown.

    - #### getBoundValue

          public IDynamicContentBindingObject getBoundValue()

      Returns:
        Returns the value that was bound. In case the value is a bound value, an Error will be thrown.

    - #### setValue

          public void setValue(IDynamicContentBindingObject value)

    - #### getComponentAttributeValue

          public java.lang.String getComponentAttributeValue()

      This is the value as it is transferred into the corresponding component. In case of a set-value this is the value itself, in case of a bound value this is the expression to the bound value.

    - #### isBound

          public boolean isBound()

Copyright © CaptainCasa Gmbh. All Rights Reserved.